Wind River Support Network

HomeDefectsLIN5-22042
Fixed

LIN5-22042 : Security Advisory - libtiff - CVE-2016-3945

Created: Oct 16, 2016    Updated: May 29, 2018
Resolved Date: Oct 24, 2016
Found In Version: 5.0.1
Fix Version: 5.0.1.38
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

Multiple integer overflows in the (1) cvt_by_strip and (2) cvt_by_tile functions in the tiff2rgba tool in LibTIFF 4.0.6 and earlier, when -b mode is enabled, allow remote attackers to cause a denial of service (crash) or execute arbitrary code via a crafted TIFF image, which triggers an out-of-bounds write.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-3945

Other Downloads


Live chat
Online